Replace Metadata Entries

Replace Metadata Entries
Replace all metadata entries of the region with the desired state.

Replaces all metadata entries for the region with the provided desired state. All existing entries are deleted and all provided entries are created. Operation is atomic - either all succeed or all fail with rollback.

Note: This operation only supports simple key-value metadata entries (string, number, boolean). File metadata entries are not supported and will result in an error.

Request
URI
PUT
https://{api_host}/cloudapi/v1/regions/{id}/metadata
COPY
Path Parameters
string
id
Required

the URN of the entity the entry is attached to.


Request Body

Complete desired state of metadata entries that the entity should have

MetadataEntries of type(s) application/json
Optional
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "id": "string",
            "persistent": false,
            "readOnly": false,
            "keyValue": {
                "domain": "string",
                "namespace": "string",
                "key": "string",
                "value": {
                    "value": {},
                    "type": "string"
                }
            }
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
202

Task created to replace metadata entries. Track progress using the task link in the Location header.

Operation doesn't return any data structure

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/v1/regions/{id}/metadata